## gsmdec

gsmdec

## Types and Values

struct | GstGSMDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstGSMDec

## Description

## Synopsis

### Element Information

plugin | gsm
author | Philippe Khalaf <burger@speedy.org>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-gsm, rate=(int)8000, channels=(int)1
| audio/ms-gsm, rate=(int)[ 1, 2147483647 ], channels=(int)1

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)1

## Functions

## Types and Values

### struct GstGSMDec

    struct GstGSMDec;